      subroutine map_steel_trivsol(xmax,xbar,dcoeffw,tcc,radius,g,
     & c, c0, pi, r)
      implicit none                                      
      double precision xmax,xbar,dcoeffw,tcc,radius,g,c(6),c0,pi,r
      double precision xalpha,map_steel_xalph,omeg,term3,ratio,trad
      double precision peclet,p
      integer i1

* an approximation to the solution for the maximum growth velocity
* of a diffusionally growing plate. regression fit of the master curve is 
* used

* determine the supersaturation, and apply limits

      xalpha=map_steel_xalph(tcc+273.15)
      omeg=(xmax-xbar)/(xmax-xalpha)
      if ((omeg .gt. 0.995d0) .or. (omeg .lt. 0.21d0)) then
          pause 'supersatureatiojn out of range for trivedi calc.'
      endif

* estimate relationship between the critical tip radius and the actual

      term3=0.2026d+01-0.1917d+01*omeg-0.8953d+00*omeg*omeg
     &+0.3670d+01*omeg*omeg*omeg
     &-0.2519d+01*omeg*omeg*omeg*omeg
      ratio=10.0d+00**term3

* trad is the true tip radius

      trad=ratio*radius


      p=c0
      do 10 i1=1,6
         p=p+c(i1)*omeg**(i1*1.0d0)
10    continue
      peclet=10**(p)

* here we convert the diffusion cefficient to (m**2)/s
* so that the answer for vmax is in m/s

      g=peclet*(2.0d-04*dcoeffw)/trad

      end
